Update transaction custom fields

Update details about custom fields and their values applied to an existing transaction.

You cannot update custom fields in a locked transaction. When a transaction is locked, isLocked is set as true. You can get information about your transactions with GET /v3/spend/transactions or `GET /v3/spend/transactions/{transactionId}.

See Lock or unlock custom fields for a transaction in the BILL Help Center for more information.

Path Params
string
required
length ≥ 1

BILL-generated ID or UUID of the transaction

Body Params

Transaction Custom Fields update request dto.

customFields
array of objects
required
length ≥ 1

List of custom field and value updates

customFields*

DTO input object used to set custom fields on creating and updating objects (i.e. transactions and reimbursements) This DTO differs from UpdateCustomFieldRequestDto as that one updates the custom field itself and this DTO is used to update selected custom fields on transactions/reimbursements

string
required

BILL-generated ID or UUID of the custom field

selectedValues
array of strings

List of selected custom field values. Set the custom field value ID or UUID values.

Note: Clear the selectedValues array to clear all the custom field selected values.

selectedValues
string

Updated custom field note.

Note: This field is available only for custom fields with type set as NOTE.

Headers
string | null

Access token for Spend & Expense API authentication

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json